"""
状态说明:
银联小票是否入库,宜家小票是否入库,发票是否入库,送货单是否入库,商品图片是否入库,银联小票是否识别,宜家小票是否识别,发票是否识别,送货单是否识别,预留,预留,预留,预留,预留,预留,预留
"""
import json
from xianbao import TaskManager, SQLiteProcessQueue

task_manager = TaskManager()
queue = SQLiteProcessQueue(table_name='task_queue')


def _scan_task_production() -> list:
    """
    生产待识别图片的任务。
    :return: None
    """
    tasks = task_manager.execute_custom_sql(
        """
        SELECT
            *
        FROM tasks WHERE 
            status & ? = ? OR status & ? = ? OR status & ? = ? OR status & ? = ?
        """,
        (33792, 32768, 16896, 16384, 8448, 8192, 4224, 4096)
    )
    for task in tasks:
        queue.put(json.dumps(task).encode('utf-8'))
    return tasks
